Git Link: https://git.cse.iitb.ac.in/shreyasn/Final-Project-CS699

Mohith Jagalmohanan - 203050073 - Patient Home page(History), Sign In and Sign Up pages, Integration with Database
Jalay Shah - 203050063 - Lab tecnician pages, Integration with database, Doctor and patient home pages
Gaurav Dewangan - 203050074 - Doctor Home page(History), add prescription page, Integration with database
Shreyas Narahari - 203050037 - Integration with Database and template, Labtest request, permission page

Motivation:

In India there is no implementation of Electronic Health Record(EHR) yet. EHR will provide easy access to patient
 information to the doctors which will help in better assessment of illness. It will also decrease the risk of
 lost documents and paperwork. EHR can improve quality care by using the data and analytics to prevent 
hospitalizations among high-risk patients.


Login details For Project/digiMED :

	For admin/Lab:
		Username: digimed
		password: digimed

	For Samidha(Doctor):
		Username: Samidha
		Password: ramanujan 

	For Parijat(Doctor):
		Username: Parijat
		Password: ramanujan 

	For Tarunima(Patient):
		Username: Tarunima
		Password: srinivasa
	
	For Viplab(Patient):
		Username: Viplab
		Password: ramanujan

	For PingaJhaveri(Patient):
		Username: PingaJhaveri
		Password: ramanujan


How to use:

-Download python (.exe) file from the python website(python.org).
-During Installation do select the checkbox "Add Python 3.9 to PATH"
-Run the following commands after this:
	pip install virtualenvwrapper-win
	mkvirtualenv digimed
	workon digimed
	pip install django
	pip install Pillow

- After the installation process is over clone the project and change the directory into the source directory.
-Then run the following commands:
	python manage.py makemigrations
	python manage.py migrate
	python manage.py runserver

To access the login page open the web browser and go to "localhost:8000"

- Here if you login as Patient/Doctor/Lab Technician it will display the respective dashboards for the users.
- Here as Doctor we can add prescription for patients, ask patients permission to view their history and view 
  history of patients.
- When logged in as Patient we can view our history, request labtest, give and revoke permission to doctors to 
  view history
- When logged in as a Lab technician we can add the results for labtests that were requested bu patients.

References:
- https://propeller.in/themes/propeller-admin-theme/
- https://docs.djangoproject.com/en/3.1/
- https://youtu.be/OTmQOjsl0eg
- https://youtu.be/UxTwFMZ4r5k
- https://stackoverflow.com/questions/3805958/how-to-delete-a-record-in-django-models
- https://www.geeksforgeeks.org/datefield-django-forms/
- https://stackoverflow.com/questions/37839867/django-error-cannot-assign-must-be-an-instance
- https://stackoverflow.com/questions/11336548/django-taking-values-from-post-request
- https://stackoverflow.com/questions/61425420/django-request-post-get-returns-none
- https://stackabuse.com/converting-strings-to-datetime-in-python/
- https://blog.khophi.co/extending-django-user-model-userprofile-like-a-pro/
- https://docs.djangoproject.com/en/3.1/topics/auth/customizing/#extending-the-existing-user-model
- https://docs.djangoproject.com/en/3.1/ref/models/querysets/
- https://overiq.com/django-1-10/handling-media-files-in-django/
- https://www.kaggle.com/paultimothymooney/chest-xray-pneumonia
- https://www.kaggle.com/navoneel/brain-mri-images-for-brain-tumor-detection